v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/orders-nsinventory
Retrieves all order items for non-serialized inventory.
Rights: OrsInventoryGet, OrsUnblinded.
Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
audit(required): boolean
-
limit: integer(int32)
Minimum Value:
1 -
nsInventoryId: string(uuid)
-
offset: integer(int32)
Minimum Value:
0 -
orderId: string(uuid)
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object NSOrderInventoryResponse
Title:
NSOrderInventoryResponseContains non-serialized order inventory response.
Nested Schema : NSOrderInventoryResponse
Type:
objectTitle:
NSOrderInventoryResponseContains non-serialized order inventory response.
Show Source
-
count: integer
(int32)
Number of results in the current page.Example:
25 -
hasMore: boolean
Indicates if there are more results beyond the current page.Example:
true -
limit: integer
(int32)
Maximum number of records returned per page.Example:
25 -
offset: integer
(int32)
Index of the first record returned in the current page.Example:
0 -
resultData: array
resultData
Paginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
-
totalResults: integer
(int32)
Total number of results across all pages.Example:
125
Nested Schema : resultData
Type:
arrayPaginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
Show Source
-
Array of:
object OrderNSInventoryTO v1.0
Title:
OrderNSInventoryTO v1.0Contains non-serialized order inventory details.
Nested Schema : OrderNSInventoryTO v1.0
Type:
objectTitle:
OrderNSInventoryTO v1.0Contains non-serialized order inventory details.
Show Source
-
comment: string
Title:
CommentComment. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
lotNumber: string
Title:
Lot NumberLot number. -
nsInventoryId: string
(uuid)
Title:
Inventory IDNon-serialized inventory ID. -
nsInventoryVersionStart: string
(date-time)
Title:
Version StartNon-serialized inventory version start timestamp. -
objectVersionNumber: number
Title:
Object Version NumberObject version number. -
operationType: string
Title:
Operation TypeOperation type. -
orderId: string
(uuid)
Title:
Order IDOrder ID. -
orderItemId: string
(uuid)
Title:
Order Item IDOrder item identifier. -
orderVersionStart: string
(date-time)
Title:
Version StartOrder version start date. -
quantity: number
Title:
QuantityKit quantity. -
reason: string
Title:
ReasonReason. -
shipmentNumber: string
Title:
Shipment NumberShipment number. -
softwareVersionNumber: number
Title:
Software Version NumberSoftware version number. -
transactionId: string
(uuid)
Title:
Transaction IDTransaction identifier of shipments. -
userId: string
(uuid)
Title:
User IDUser ID. -
versionEnd: string
(date-time)
Title:
Version EndVersion end date. -
versionStart: string
(date-time)
Title:
Version StartVersion start date.
404 Response
Invalid study ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object